import argparse


def provide_arguments():
    parser = argparse.ArgumentParser()
    parser.add_argument('-c', '--config',
                        action='store',
                        type=argparse.FileType('r', encoding='utf-8'),
                        required=True,
                        help="Path to a dataset configuration file made in YAML.")
    parser.add_argument('--dataset_filename',
                        action='store',
                        type=str,
                        default='image.jpg',
                        help='File name that will be used as main picture. By default, image.jpg.')
    parser.add_argument('-q', '--quiet',
                        action='store_true',
                        help="Skip non-errors from being shown.")
    parser.add_argument('-s', '--skip',
                        action='store_true',
                        help="Set this flag if you want to skip prompts with missing txt files instead of halting the script with error.")
    parser.add_argument('-o', '--output',
                        action='store',
                        type=str,
                        default='./output',
                        help="Path where output of a script (ready dataset) will be saved.")
    parser.add_argument('-p', '--prefix',
                        action='store',
                        type=str,
                        default='',
                        help='Prefix to append for dataset files. For example, -p 2 on dataset called braixen \
                        will produce files like 2braixen_1_0.jpg instead of braixen_1_0.jpg')
    return parser.parse_args()
